Package Details: deepin-mail-bin 5.2.12_1-1

Git Clone URL: https://aur.archlinux.org/deepin-mail-bin.git (read-only, click to copy)
Package Base: deepin-mail-bin
Description: Deepin mail
Upstream URL: https://www.deepin.com/
Licenses: GPL3
Submitter: sukanka
Maintainer: sukanka
Last Packager: sukanka
Votes: 4
Popularity: 0.063052
First Submitted: 2020-08-31 09:58
Last Updated: 2021-10-19 07:07

Latest Comments

sukanka commented on 2021-09-06 05:46

@TanishqTejaswi thanks, updated.

TanishqTejaswi commented on 2021-09-06 05:02

There seems to be a new version of deepin-mail, but I am not exactly sure, as this is in "non-free" instead of "main", so I am not flagging this PKGBUILD.

https://community-packages.deepin.com/deepin/pool/non-free/d/deepin-mail/deepin-mail_5.2.4-1_amd64.deb

carlosal1015 commented on 2021-07-16 15:15

Thanks @sukanka, I reinstalled and works from launcher. I hope we will have more updates soon. It looks the maintainer was working on the problem.

sukanka commented on 2021-07-16 04:20

@carlosal1015 Now I changed the Exec line to

Exec=deepin-mail %U

and it can launch normally.

BTW, I flagged deepin-turbo out-of-date` as 0.0.5 was released.

carlosal1015 commented on 2021-07-15 23:11

Hi @sukanka, actually when launch the application deepin-mail it will not started properly. If we can look over the /usr/share/applications/deepin-mail.desktop file, we will found the line Exec as below

[Desktop Entry]
Exec=/usr/bin/deepin-turbo-invoker  --type=dtkwidget deepin-mail %U

Then, what's going on?

$ /usr/bin/deepin-turbo-invoker --type=dtkwidget /usr/bin/deepin-mail
deepin-turbo-invoker: Invoking execution: '/usr/bin/deepin-mail'
Failed to invoke: Booster: Loading invoked application failed: '/usr/bin/deepin-mail: cannot dynamically load position-independent executable'

But if we choose with option qt5 is fine.

$ /usr/bin/deepin-turbo-invoker --type=qt5 /usr/bin/deepin-mail

Explanation

We have deepin-turbo version 0.0.3-2 on the official repository. This means that the option dtkwidget is not available yet. Since version 0.0.4 or later the option dtkwidget is available.

There are a chance to patch this behavior?